/*
 * $Id: dstool_init.c,v 1.3 1997/05/08 16:00:56 veran Exp $
 */

/*
 * dstool_init.c
 *
 */

#include <pm.h>
#include "init_local.h"

void
dstool_init()
{
  
  /* initialize the postmaster for use */
  pm_init();

  /* setup the pm control structure */
  control_install();

  /* decode the command line into the pm control structure */
  decode_cmd_line();

  /* install the system and user procs into the pm */
  sys_install();
  user_install();

  /* loading the default model */
  pm(EXEC, "Model.Load", NULL);

}



