/*
 * $Id: pm_hash.h,v 1.1 1997/01/07 17:01:08 veran Exp veran $
 */


#ifndef PM_HASH_h
#define PM_HASH_h

#include <stdarg.h>
#include "pm.h"


#define HASHSIZE 1013  /* this constant should be tweeked to maximize performance */

/* struct pm_list defined in pm.h */
extern struct pm_list *hashtab[];

/* pm_hash.c */
struct pm_list *pm_hash_lookup( char *label );
int pm_query(char *label, int data_type, int i, va_list *pargptr);
struct pm_list *pm_hash_lookup(char *label);
struct pm_list *pm_hash_add( char *label );
int pm_hash_rm( char *label );

/* pm_build.c */
int pm_add_object( char *name );
int pm_delete_object( char *name );
int pm_add_element( char *name, int type );
int pm_rm_element( char *name );
int pm_fnct_exec( char *name );
int pm_valid_obj_name( char *name );
int pm_valid_elmt_name( char *name );

#endif /* PM_HASH_H */
