/*
 * $Id: cdiv.c,v 1.3 1997/05/07 15:49:17 veran Exp $
 */

#include <math.h>

void
cdiv( double ar, double ai, double br, double bi, double* cr, double* ci)
{
 
/*    complex division, (cr,ci) = (ar,ai)/(br,bi)   */
 
double s,ars,ais,brs,bis;

s = fabs(br) + fabs(bi);
ars = ar/s;
ais = ai/s;
brs = br/s;
bis = bi/s;
s = brs*brs + bis*bis;
*cr = (ars*brs + ais*bis)/s;
*ci = (ais*brs - ars*bis)/s;
}
