/*
 * $Id: model_headers.h,v 1.1 1997/01/07 16:47:14 veran Exp $
 */

#ifndef MODEL_HEADERS_h
#define MODEL_HEADERS_h

/*
 * model_headers.h
 *
*/

#include <stdio.h> 
#include <math.h> 
#include <constants.h>
#include <manifold.h>
#include <pm.h>
#include <modellib.h>
#include <utilities.h>

extern double sign();  /* paw 3/11/93 */

void varb_setup(int n_varb, char **variable_names,
		double *variables, double *variable_min, double *variable_max,
		char *indep_varb_name,
		double indep_varb_min, double indep_varb_max);
void param_func_setup(int n_param, int n_funct,
		      char **parameter_names, char **funct_names,
		      double *parameters,
		      double *parameter_min, double *parameter_max,
		      double *funct_min, double *funct_max);
void phase_sp_setup(int n_varb, int manifold_type,
		    int *periodic_varb,
		    double *period_start, double *period_end);
void geomview_setup(int gv_n, char *gv_filename);

static char *c_filename = NULL;

#endif
