/*
 * $Id: mult_proj.h,v 1.2 1997/05/08 18:43:49 veran Exp $
 */

#ifndef MULT_PROJ_HEADER
#define MULT_PROJ_HEADER

/*
 * data structure for hooking in projection functions
 * for multiple trajectories
 *
 */

typedef struct Mult_Proj {
  char* name;			/* the name to appear on the menu */
  int (*proj_fn)(double* x,  
                 double* fx, 
                 int x_dim, 
                 double* params, 
                 double* fparams, 
                 int params_dim, 
                 double* center, 
                 double* radius, 
                 double alpha);		/* the function */
} Mult_Proj;

extern Mult_Proj MULT_PROJS[];
extern int NUM_MULT_PROJS;

#endif
