/*
 * $Id: init_local.h,v 1.2 1997/05/08 15:51:40 worfolk Exp $
 */

/*
 * init_local.h
 *
 */
#ifndef INIT_LOCAL_h
#define INIT_LOCAL_h

#include <tcl.h>

typedef void (*PFV)(void);

/* dstool_init.c */
void dstool_init(void);

/* app_init.c */
int app_init(Tcl_Interp *tcl_interp);

/* decode_cmd.c */
void decode_cmd_line(void);

/* stop.c */
void stop_execution(char *s);

/* sys_install.c */
void sys_install(void);
void user_install(void);


void model_install(void);
void selected_install(void);
void manifold_install(void);
void memory_install(void);
void flow_install(void);
void prop_install(void);
void color_install(void);
void mult_install(void);
void browser_install(void);
void fixed_install(void);
void man2d_install(void);
void porbit_install(void);
void defaults_install(void);
void geomview_install(void);
void parser_install(void);
void save_install(void);
void load_install(void);
void view_install(void);
void print_install(void);
void control_install(void);

/* 8/19/97 BAM */
void cont_install(void);
void twod_install(void);


/*
void oned_install(void);
*/

#endif /* !INIT_LOCAL_h */
