/*
 * $Id: manifold.c,v 1.2 1997/01/07 16:49:42 veran Exp $
 */

/*
 * Create MANIFOLD postmaster object
 */
#include <stdio.h>
#include <constants.h>
#include <defaults.h>
#include <pm.h>

static char *MANIFOLD_OBJ_NAME = "Manifold";

static char *MANIFOLD[] = {
  "Manifold.Type", "Manifold.Periodic_Varb", 
  "Manifold.Period_Start", "Manifold.Period_End",
  };

typedef enum {
  TYPE=0, PERIODIC_VARB, PERIOD_START, PERIOD_END
  } MANIFOLD_t;


void
  manifold_install()
{
  pm(CREATE_OBJ, MANIFOLD_OBJ_NAME,
     CREATE_ELEM, MANIFOLD[TYPE], INT,
     CREATE_ELEM, MANIFOLD[PERIODIC_VARB], INT_LIST,
     CREATE_ELEM, MANIFOLD[PERIOD_START], DBL_LIST,
     CREATE_ELEM, MANIFOLD[PERIOD_END], DBL_LIST,
     NULL);
}

