/*
 * $Id: memory.c,v 1.2 1997/01/07 16:49:42 veran Exp $
 */

/*
 * Create MEMORY postmaster object
 */
#include <stdio.h>
#include <constants.h>
#include <defaults.h>
#include <pm.h>
#include <memory.h>

static char *MEMORY_OBJ_NAME = "Memory";

static char *MEMORY[] = {
  "Memory.Sel_Pt", "Memory.Param", "Memory.Count", "Memory.Points",
  "Memory.Reset"
  };

typedef enum {
  SEL_PT=0, PARAM, COUNT, POINTS, RESET
  } MEMORY_t;


void
memory_install()
{
  void memory_count(), memory_reset();

  pm(CREATE_OBJ, MEMORY_OBJ_NAME,
     CREATE_ELEM, MEMORY[SEL_PT], MEMRY,
     CREATE_ELEM, MEMORY[PARAM], MEMRY,
     CREATE_ELEM, MEMORY[COUNT], FNCT,
     CREATE_ELEM, MEMORY[RESET], FNCT,
     CREATE_ELEM, MEMORY[POINTS], INT,
     NULL);

  pm(INIT, MEMORY[COUNT],
     PUT, MEMORY[COUNT], memory_count,
     INIT, MEMORY[RESET],
     PUT, MEMORY[RESET], memory_reset,
     NULL);
}

void
memory_reset()
{
  pm(INIT, MEMORY[SEL_PT], SEL_PT_MEMORY,
     INIT, MEMORY[PARAM], PARAM_MEMORY,
     EXEC, MEMORY[COUNT],
     NULL);
  
}

void
memory_count()
{
  char *name;
  memory m;
  int i=0, n=0;

  while ( (name = (char *) pm(QUERY, "Memory", MEMRY, i, NULL)) )
    {
      i++;
      m = (memory) pm(GET, name, NULL);
      n += memory_stored_points(m);
    }

  pm(PUT, MEMORY[POINTS], n, NULL);
}
