/*
 * $Id: stop.c,v 1.4 1997/05/07 15:47:04 veran Exp $
 */

/*
 * stop.c
 *
 */

#include <stdio.h>
#include <stdlib.h>

#include "version.h"
#include "init_local.h"

/*
 * stop_execution()
 *
 * This procedure is called when an unrecoverable error is encountered.
 *
 * Output to stderr is something like:
 *
 *    DsTool: ERROR MESSAGE HERE
 *    DsTool: exiting.
 *
 * This routine directly accesses PROGRAM_TITLE since we do not wish
 * to assume that the postmaster has been initialized.
 *
 */
void
stop_execution(char *s)
{
  fprintf(stderr, "%s: %s\n", PROGRAM_TITLE, s);
  fprintf(stderr, "%s: exiting.\n", PROGRAM_TITLE);
  exit(1);
}


