#include <stdio.h>
#include <constants.h>
#include <defaults.h>
#include <prop.h>
#include <complib.h>

int
integrate(integ_cntl)
struct  Prop_DataS     *integ_cntl;
{
  int	status=0;
  
  switch(integ_cntl->prop_mode)
    {case PROP_NSTEP:
       status = ode_nsteps(integ_cntl);
       break;
     case PROP_FSTOP:
       status = ode_stop(integ_cntl); 
       break;
     case PROP_TF:
       status = ode_time(integ_cntl); 
       break;
     case PROP_POINCARE:				/* paw  4/14/92 */
       status = ode_poincare(integ_cntl);
       break;
     default:
       return(MAJOR_ERROR);
     }

  return(status);
}
