/*
 * $Id: symbols_def.c,v 1.2 1997/01/07 16:58:28 veran Exp $
 */

#ifndef SYMBOLS_DEF_HEADER
#define SYMBOLS_DEF_HEADER

#include <symbols.h>
#include <constants.h>

/* symbol and size definitions used by the print library */

int	Symbol_Codes[]={ SMALL_POINT,MED_POINT,LARGE_POINT,
			 SMALL_TRI,MED_TRI,LARGE_TRI,
			 SMALL_CROSS,MED_CROSS,LARGE_CROSS,
			 SMALL_BOX,MED_BOX,LARGE_BOX};

char	*Symbol_Labels[]={"Sm Dot","Md Dot","Lg Dot",
		      "Sm Triangle","Md Triangle","Lg Triangle",
		      "Sm Cross","Md Cross","Lg Cross",
		      "Sm Box","Md Box","Lg Box"};

int Num_Symbols = sizeof(Symbol_Codes)/sizeof(int);

/* symbol and size definitions used by the 2D graphics library */

char *Panel_Sym_Names[]={"Small Dot","Medium Dot","Large Dot",
			   "Small Cross", "Medium Cross", "Large Cross",
			   "Small Box", "Medium Box", "Large Box",
			   "Small Triangle","Medium Triangle","Large Triangle"
		       };

#endif
