/*
 * $Id: get_cwd.c,v 1.2 1997/01/07 17:04:08 veran Exp $
 */

/*
 * get_cwd.c
 *
 * get_cwd returns current working directory
 *
 * The C-library procedure called may be system dependent,
 * thus we have isolated it here.
 *
 */

#include <stdlib.h>

#include <utilities.h>


/*
 * get_cwd
 *
 *  dirname must be a preallocated string
 *  size is the length of the string and must be at least one
 *    greater than the desired pathname
 */
void
get_cwd(char *dirname, int size)
{
   getcwd(dirname, size);
}
