/*
 * $Id: system_mess.c,v 1.3 1997/04/24 18:36:53 worfolk Exp $
 */

/*
 * system_mess.c
 *
 */


#include <stdio.h>

#include "utilities.h"
#include "version.h"


/*
 * system_mess_proc()
 *
 * Prints message prefaced by program name to stderr.
 * if mode > 0 then WARNING is printed also.
 *
 */
void
system_mess_proc(int mode, char *msg)
{
  if (mode == 0)
    fprintf(stderr, "%s: %s\n", PROGRAM_TITLE, msg);
  else
    fprintf(stderr, "%s WARNING: %s\n", PROGRAM_TITLE, msg);
}
